Bug 1015827 - Verisign SSL Certificate Validation error
Verisign SSL Certificate Validation error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ca-certificates (Show other bugs)
18
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Kai Engert (:kaie)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 17:55 EDT by Joel Nimety
Modified: 2014-02-05 19:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:26:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel Nimety 2013-10-05 17:55:55 EDT
Description of problem:

wget certificate validation error for https://s3.amazonaws.com/production.s3.rubygems.org/latest_specs.4.8.gz

Version-Release number of selected component (if applicable):

ca-certificates-2012.87-1.fc18.noarch
wget-1.14-5.fc18.x86_64

How reproducible:


Steps to Reproduce:
1. wget https://s3.amazonaws.com/production.s3.rubygems.org/latest_specs.4.8.gz

Actual results:

--2013-10-05 16:12:33--  https://s3.amazonaws.com/production.s3.rubygems.org/latest_specs.4.8.gz
Resolving s3.amazonaws.com (s3.amazonaws.com)... 207.171.185.200
Connecting to s3.amazonaws.com (s3.amazonaws.com)|207.171.185.200|:443... connected.
ERROR: cannot verify s3.amazonaws.com's certificate, issued by '/C=US/O=VeriSign, Inc./OU=VeriSign Trust Network/OU=Terms of use at https://www.verisign.com/rpa (c)10/CN=VeriSign Class 3 Secure Server CA - G3':
  Unable to locally verify the issuer's authority.
To connect to s3.amazonaws.com insecurely, use `--no-check-certificate'.

Expected results:

download the file without error

Additional info:
Comment 1 Joel Nimety 2013-10-05 18:40:58 EDT
'yum reinstall ca-certificates' fixed the issue.  All 6 of my web servers started having the problem at the same time, I'm curious why this fixed it.
Comment 2 Fedora End Of Life 2013-12-21 09:38:42 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 17:26:44 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Paul Wouters 2014-02-05 19:37:00 EST
not sure either, but I just tested on f20, and it works without problems. So I think this bug should be left as closed. Feel free to re-open if you see this happen again.

Note You need to log in before you can comment on or make changes to this bug.